### File

`packages/components/eui-tree/eui-tree-form-control.directive.ts`

### Implements

`ControlValueAccessor` `AfterContentInit`

### Metadata

Providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiTreeFormControlDirective), multi: true, }`
Selector | `eui-tree[euiTreeFormControl]`

### Index

###### Methods
registerOnChange registerOnTouched writeValue
###### Inputs
euiTreeControlModelMapper euiTreeControlValueSetter

### Inputs

euiTreeControlModelMapper
Type : `function`
Default value : `(model: Array<TreeItemModel>) => { return model; }`

euiTreeControlValueSetter
Type : `function`
Default value : `(selection: TreeDataModel) => { return new EuiTreeHelper(this.tree.nodes).getItems(selection.map(item=>item.node.treeContentBlock.id), 'node.treeContentBlock.id'); }`

### Methods

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

writeValue
`writeValue(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

# results matching ""

# No results matching ""